; ----------------------------------------------------------------------
(defun C:Convert ( / AS Wahl)
  (princ "\n--------- Anpassen der Umlaute in Texten: --------")
  (setq Wahl (strcase (getstring "\nKomplett / Auswahl: <A>: ")))
  (if (= Wahl "") (setq Wahl "A"))
  (if (= Wahl "A") (progn
       (princ "\nWaehle Texte ... ")
       (setq AS (ssget (list (cons 0 "TEXT"))))
     ); progn
     (progn
        (setq AS (ssget "X" (list (cons 0 "TEXT"))))
  )); progn - if
  (princ "\n12(Dos) -> 14(Windows) <1>: ")
  (setq Wahl (strcase (getstring "\n14(Windows) -> 12(Dos) 2: ")))
  (if (or (= Wahl "") (= Wahl "1"))
	 (setq Trans 1)
	 (setq Trans 2)
  )

  (if AS (progn
      (princ (sslength AS)) (princ " Texte gefunden\n")
      (setq Lauf -1)
      (while (setq ename (ssname AS (setq Lauf (1+ Lauf))))
        (setq elist (entget ename))
	(if (= Trans 1) 
	   (setq nText (convertText12-14 (cdr (assoc 1 eList))))
	   (setq nText (convertText14-12 (cdr (assoc 1 eList))))
        )
        (setq elist (subst (cons 1 nText) (assoc 1 elist) elist))
        (entmod elist)
      ) 
    ) ; progn
    ; else
      (princ " Keine Texte gefunden")
  ); if
  (princ)
)
; ----------------------------------------------------------------------
(defun convertText14-12 (oldText)
  (setq i 1)
  (setq nText "")
  (while (<= i (strlen oldText))
    (setq sChar (substr oldText i 1))
    (cond
	((= sChar "\304") (setq sChar "\216"))
	((= sChar "\326") (setq sChar "\231"))
	((= sChar "\334") (setq sChar "\232"))
	((= sChar "\344") (setq sChar "\204"))
	((= sChar "\366") (setq sChar "\224"))
	((= sChar "\374") (setq sChar "\201"))
	((= sChar "\337") (setq sChar "\341"))
    )
    (setq nText (strcat nText sChar))
    (setq i (1+ i))
  )
  (princ ".")
  (setq nText nText)
)
; ----------------------------------------------------------------------
(defun convertText12-14 (oldText)
  (setq i 1)
  (setq nText "")
  (while (<= i (strlen oldText))
    (setq sChar (substr oldText i 1))
    (if (= sChar "%")    
      (progn
 	 (setq sChar (substr oldText i 5))
	 (setq Flag nil)
         (cond
	   ((= sChar "%%256") (setq sChar "%%d"))
	   ((= sChar "%%257") (setq sChar "%%p"))
	   ((= sChar "%%258") (setq sChar "%%c"))
	   (setq Flag T)
         )
	 (if Flag 
		  (setq nText (strcat nText sChar) i (+ i 1))
		  (setq nText (strcat nText sChar) i (+ i 5))
         )
      ); progn
      (progn
      (cond
	((= sChar "\216") (setq sChar "\304"))
	((= sChar "\231") (setq sChar "\326"))
	((= sChar "\232") (setq sChar "\334"))
	((= sChar "\204") (setq sChar "\344"))
	((= sChar "\224") (setq sChar "\366"))
	((= sChar "\201") (setq sChar "\374"))
	((= sChar "\341") (setq sChar "\337"))
      )
      (setq nText (strcat nText sChar))
      (setq i (1+ i))
    )); progn - if
  )
  (princ ".")
  (setq nText nText)
)
(defun convert_geladen () (princ " "))
